Bug 886826 - [abrt] git-cola-1.8.0-1.fc18: decorators.py:84:interruptable:OSError: [Errno 2] No such file or directory
Summary: [abrt] git-cola-1.8.0-1.fc18: decorators.py:84:interruptable:OSError: [Errno ...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: git-cola   
(Show other bugs)
Version: 18
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: David Aguilar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:2ac9509a362ac877f7321d3d98c...
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-13 09:30 UTC by srinivasa.nallapati
Modified: 2013-10-09 14:20 UTC (History)
3 users (show)

Fixed In Version: git-cola-1.8.5-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-08 11:29:27 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.27 KB, text/plain)
2012-12-13 09:30 UTC, srinivasa.nallapati
no flags Details
File: core_backtrace (879 bytes, text/plain)
2012-12-13 09:30 UTC, srinivasa.nallapati
no flags Details
File: environ (1.70 KB, text/plain)
2012-12-13 09:31 UTC, srinivasa.nallapati
no flags Details
File: smolt_data (2.51 KB, text/plain)
2012-12-13 09:31 UTC, srinivasa.nallapati
no flags Details

Description srinivasa.nallapati 2012-12-13 09:30:14 UTC
Version-Release number of selected component:
git-cola-1.8.0-1.fc18

Additional info:
cmdline:        /usr/bin/python /usr/bin/git-cola --repo /home/srinivas/Subversion/project
executable:     /usr/bin/git-cola
kernel:         3.6.10-4.fc18.x86_64
uid:            1000

Truncated backtrace:
decorators.py:84:interruptable:OSError: [Errno 2] No such file or directory

Traceback (most recent call last):
  File "/usr/share/git-cola/lib/cola/classic/view.py", line 312, in editor
    cola.notifier().broadcast(signals.edit, self.selected_paths())
  File "/usr/share/git-cola/lib/cola/notification.py", line 26, in broadcast
    self.emit(signal, *args, **opts)
  File "/usr/share/git-cola/lib/cola/notification.py", line 33, in emit
    fxn(*args, **opts)
  File "/usr/share/git-cola/lib/cola/cmdfactory.py", line 73, in run
    return self.do(signal, *args, **opts)
  File "/usr/share/git-cola/lib/cola/cmdfactory.py", line 83, in do
    ok, result = self._do(cmdobj)
  File "/usr/share/git-cola/lib/cola/cmdfactory.py", line 90, in _do
    result = cmdobj.do()
  File "/usr/share/git-cola/lib/cola/cmds.py", line 441, in do
    utils.fork(utils.shell_split(editor) + opts)
  File "/usr/share/git-cola/lib/cola/decorators.py", line 18, in _caller
    return caller(f, *args, **opts)
  File "/usr/share/git-cola/lib/cola/decorators.py", line 84, in interruptable
    raise e
OSError: [Errno 2] No such file or directory

Local variables in innermost frame:
args: (['gvim', u'aaaaaaaaaa'],)
e: OSError(2, 'No such file or directory')
func: <function _fork_posix at 0x7fb2a469d050>
opts: {}

Potential duplicate: bug 874564

Comment 1 srinivasa.nallapati 2012-12-13 09:30:53 UTC
Created attachment 662819 [details]
File: backtrace

Comment 2 srinivasa.nallapati 2012-12-13 09:30:59 UTC
Created attachment 662820 [details]
File: core_backtrace

Comment 3 srinivasa.nallapati 2012-12-13 09:31:02 UTC
Created attachment 662821 [details]
File: environ

Comment 4 srinivasa.nallapati 2012-12-13 09:31:05 UTC
Created attachment 662822 [details]
File: smolt_data

Comment 5 Christopher Meng 2013-09-05 23:13:49 UTC
Hi,

Can you take a look at this one? I think it's a small bug that shouldn't be handled by ABRT.

Thanks.

Comment 6 David Aguilar 2013-09-23 02:50:33 UTC
I've pushed a fix to the repository on github:

https://github.com/git-cola/git-cola

This will be in the v1.8.5 release, which will be available in early October at the latest.

Comment 7 Fedora Update System 2013-09-25 14:40:13 UTC
git-cola-1.8.5-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/git-cola-1.8.5-1.fc19

Comment 8 Fedora Update System 2013-09-25 14:42:06 UTC
git-cola-1.8.5-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/git-cola-1.8.5-1.fc20

Comment 9 Fedora Update System 2013-09-26 06:18:07 UTC
Package git-cola-1.8.5-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing git-cola-1.8.5-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-17638/git-cola-1.8.5-1.fc19
then log in and leave karma (feedback).

Comment 10 Fedora Update System 2013-09-28 13:23:51 UTC
git-cola-1.8.5-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/git-cola-1.8.5-1.fc18

Comment 11 Fedora Update System 2013-10-08 11:29:27 UTC
git-cola-1.8.5-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2013-10-08 11:34:32 UTC
git-cola-1.8.5-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2013-10-09 14:20:26 UTC
git-cola-1.8.5-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.